/// <reference types="w3c-web-usb" />
import { UsbDevice, UsbDeviceFilter, UsbInterface, UsbManager, UsbTransferResult } from "../../EvamHardwareUsbApi";
export declare class EvamUsbManagerDev implements UsbManager {
    private usb;
    constructor(usb: USB);
    private mapUSBDeviceToUsbDevice;
    getDeviceList(): Promise<UsbDevice[]>;
    hasPermission(device: UsbDevice): Promise<boolean>;
    openDevice(device: UsbDevice): Promise<void>;
    requestPermission(filters: UsbDeviceFilter[], callback: (device: (UsbDevice | undefined), message: string) => void): Promise<void>;
}
export declare class UsbDeviceDev implements UsbDevice {
    private usb;
    private dev;
    readonly classCode: number | undefined;
    readonly productId: number | undefined;
    readonly productName: string | undefined;
    readonly protocolCode: number | undefined;
    readonly serialNumber: string | undefined;
    readonly subclassCode: number | undefined;
    readonly vendorId: number | undefined;
    readonly version: string | undefined;
    constructor(usb: USB, dev: USBDevice, serialNumber: string | undefined, productId: number, productName: string | undefined, vendorId: number, version: string, classCode: number, subclassCode: number, protocolCode: number);
    private mapUSBTransferInResultToUsbTransferResult;
    private mapUSBInterfaceToUsbInterface;
    claimInterface(interfaceNumber: number, force: boolean): Promise<void>;
    close(): Promise<void>;
    controlTransferIn(requestType: USBRequestType, recipient: USBRecipient, request: number, value: number, index: number, length: number, timeout: number): Promise<UsbTransferResult>;
    controlTransferOut(requestType: USBRequestType, recipient: USBRecipient, request: number, value: number, index: number, data: Uint8Array, timeout: number): Promise<UsbTransferResult>;
    forget(): Promise<void>;
    getInterfaces(): UsbInterface[];
    releaseInterface(interfaceNumber: number): Promise<void>;
    transferIn(endpointNumber: number, length: number, timeout: number): Promise<UsbTransferResult>;
    transferOut(endpointNumber: number, data: Uint8Array, timeout: number): Promise<UsbTransferResult>;
    open(): Promise<void>;
}
